org.python.modules

## Class synchronize

- java.lang.Object
- - org.python.modules.synchronize

-     public class synchronize
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `synchronize.SynchronizedCallable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `synchronize()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object` | `_getSync(PyObject obj)`
    `static PyObject` | `apply_synchronized(PyObject syncObject, PyObject callable, PyObject args)`
    `static PyObject` | `apply_synchronized(PyObject syncObject, PyObject callable, PyObject args, PyDictionary kws)`
    `static PyObject` | `make_synchronized(PyObject callable)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### synchronize

          public synchronize()

  - ### Method Detail

    - #### _getSync

          public static java.lang.Object _getSync(PyObject obj)

    - #### apply_synchronized

          public static PyObject apply_synchronized(PyObject syncObject,
                                                    PyObject callable,
                                                    PyObject args)

    - #### apply_synchronized

          public static PyObject apply_synchronized(PyObject syncObject,
                                                    PyObject callable,
                                                    PyObject args,
                                                    PyDictionary kws)

    - #### make_synchronized

          public static PyObject make_synchronized(PyObject callable)

Jython homepage